Bug 523413 - openchrome driver continues to mess up display when it is restarted
Summary: openchrome driver continues to mess up display when it is restarted
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-openchrome
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Xavier Bachelot
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-15 11:58 UTC by Jonathan Kamens
Modified: 2018-04-11 08:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 06:24:30 UTC


Attachments (Terms of Use)

Description Jonathan Kamens 2009-09-15 11:58:29 UTC
As of today's Rawhide, the openchrome driver continues to sometimes screw up the display when I log out and the server is restarted.  When the server restarts after the logout, there are several fuzzy "irridescent" squares on the screen which move around when I move the mouse, and the mouse cursor itself is not visible.  When I move the mouse to the edge of the screen, the whole screen goes crazy.  This error trace in /var/log/messages is probably relevant:

Sep 15 07:12:51 jik2 kernel: gnome-panel used greatest stack depth: 4880 bytes left
Sep 15 07:12:52 jik2 kernel: evolution-excha used greatest stack depth: 4628 bytes left
Sep 15 07:12:52 jik2 kernel:
Sep 15 07:12:52 jik2 kernel: =======================================================
Sep 15 07:12:52 jik2 kernel: [ INFO: possible circular locking dependency detected ]
Sep 15 07:12:52 jik2 kernel: 2.6.31-0.199.rc8.git2.fc12.i686.PAE #1
Sep 15 07:12:52 jik2 kernel: -------------------------------------------------------
Sep 15 07:12:52 jik2 kernel: Xorg/1869 is trying to acquire lock:
Sep 15 07:12:52 jik2 kernel: (cpu_hotplug.lock){+.+.+.}, at: [<c044e57d>] get_online_cpus+0x44/0x67
Sep 15 07:12:52 jik2 kernel:
Sep 15 07:12:52 jik2 kernel: but task is already holding lock:
Sep 15 07:12:52 jik2 kernel: (&dev->struct_mutex){+.+.+.}, at: [<f7eb3634>] drm_release+0x348/0x4d7 [drm]
Sep 15 07:12:52 jik2 kernel:
Sep 15 07:12:52 jik2 kernel: which lock already depends on the new lock.
Sep 15 07:12:52 jik2 kernel:
Sep 15 07:12:52 jik2 kernel:
Sep 15 07:12:52 jik2 kernel: the existing dependency chain (in reverse order) is:
Sep 15 07:12:52 jik2 kernel:
Sep 15 07:12:52 jik2 kernel: -> #5 (&dev->struct_mutex){+.+.+.}:
Sep 15 07:12:52 jik2 kernel:       [<c047972f>] __lock_acquire+0x9b3/0xb25
Sep 15 07:12:52 jik2 kernel:       [<c0479958>] lock_acquire+0xb7/0xeb
Sep 15 07:12:52 jik2 kernel:       [<c083a644>] __mutex_lock_common+0x43/0x32b
Sep 15 07:12:52 jik2 kernel:       [<c083aa1f>] mutex_lock_nested+0x41/0x5a
Sep 15 07:12:52 jik2 kernel:       [<f7eb7fb6>] drm_vm_open+0x38/0x5c [drm]
Sep 15 07:12:52 jik2 kernel:       [<c044ad82>] dup_mm+0x265/0x34b
Sep 15 07:12:52 jik2 kernel:       [<c044b907>] copy_process+0xa4b/0x111d
Sep 15 07:12:52 jik2 kernel:       [<c044c110>] do_fork+0x137/0x2d6
Sep 15 07:12:52 jik2 kernel:       [<c0408c43>] sys_clone+0x35/0x4d
Sep 15 07:12:52 jik2 kernel:       [<c040a350>] syscall_call+0x7/0xb
Sep 15 07:12:52 jik2 kernel:       [<ffffffff>] 0xffffffff
Sep 15 07:12:52 jik2 kernel:
Sep 15 07:12:52 jik2 kernel: -> #4 (&mm->mmap_sem/1){+.+.+.}:
Sep 15 07:12:52 jik2 kernel:       [<c047972f>] __lock_acquire+0x9b3/0xb25
Sep 15 07:12:52 jik2 kernel:       [<c0479958>] lock_acquire+0xb7/0xeb
Sep 15 07:12:52 jik2 kernel:       [<c0469b97>] down_write_nested+0x4d/0x9c
Sep 15 07:12:52 jik2 kernel:       [<c044abd5>] dup_mm+0xb8/0x34b
Sep 15 07:12:52 jik2 kernel:       [<c044b907>] copy_process+0xa4b/0x111d
Sep 15 07:12:52 jik2 kernel:       [<c044c110>] do_fork+0x137/0x2d6
Sep 15 07:12:52 jik2 kernel:       [<c0408c43>] sys_clone+0x35/0x4d
Sep 15 07:12:52 jik2 kernel:       [<c040a350>] syscall_call+0x7/0xb
Sep 15 07:12:52 jik2 kernel:       [<ffffffff>] 0xffffffff
Sep 15 07:12:52 jik2 kernel:
Sep 15 07:12:52 jik2 kernel: -> #3 (&mm->mmap_sem){++++++}:
Sep 15 07:12:52 jik2 kernel:       [<c047972f>] __lock_acquire+0x9b3/0xb25
Sep 15 07:12:52 jik2 kernel:       [<c0479958>] lock_acquire+0xb7/0xeb
Sep 15 07:12:52 jik2 kernel:       [<c04dfdb1>] might_fault+0x73/0xa4
Sep 15 07:12:52 jik2 kernel:       [<c060b71c>] copy_to_user+0x41/0x12b
Sep 15 07:12:52 jik2 kernel:       [<c05103f8>] filldir64+0xc8/0x10d
Sep 15 07:12:52 jik2 kernel:       [<c05532fc>] sysfs_readdir+0x11a/0x161
Sep 15 07:12:52 jik2 kernel:       [<c051067e>] vfs_readdir+0x7b/0xb8
Sep 15 07:12:52 jik2 kernel:       [<c0510736>] sys_getdents64+0x7b/0xcb
Sep 15 07:12:52 jik2 kernel:       [<c040a350>] syscall_call+0x7/0xb
Sep 15 07:12:52 jik2 kernel:       [<ffffffff>] 0xffffffff
Sep 15 07:12:52 jik2 kernel:
Sep 15 07:12:52 jik2 kernel: -> #2 (sysfs_mutex){+.+.+.}:
Sep 15 07:12:52 jik2 kernel:       [<c047972f>] __lock_acquire+0x9b3/0xb25
Sep 15 07:12:52 jik2 kernel:       [<c0479958>] lock_acquire+0xb7/0xeb
Sep 15 07:12:52 jik2 kernel:       [<c083a644>] __mutex_lock_common+0x43/0x32b
Sep 15 07:12:52 jik2 kernel:       [<c083aa1f>] mutex_lock_nested+0x41/0x5a
Sep 15 07:12:52 jik2 kernel:       [<c05536c6>] sysfs_addrm_start+0x34/0xb2
Sep 15 07:12:52 jik2 kernel:       [<c0551fc9>] sysfs_hash_and_remove+0x2d/0x71
Sep 15 07:12:52 jik2 kernel:       [<c0554540>] sysfs_remove_link+0x29/0x3c
Sep 15 07:12:52 jik2 kernel:       [<c04fb3d5>] sysfs_slab_add+0x57/0x189
Sep 15 07:12:52 jik2 kernel:       [<c04fb547>] sysfs_add_func+0x40/0x74
Sep 15 07:12:52 jik2 kernel:       [<c04608aa>] worker_thread+0x194/0x275
Sep 15 07:12:52 jik2 kernel:       [<c046547d>] kthread+0x7b/0x80
Sep 15 07:12:52 jik2 kernel:       [<c040af3f>] kernel_thread_helper+0x7/0x10
Sep 15 07:12:52 jik2 kernel:       [<ffffffff>] 0xffffffff
Sep 15 07:12:52 jik2 kernel:
Sep 15 07:12:52 jik2 kernel: -> #1 (slub_lock){+++++.}:
Sep 15 07:12:52 jik2 kernel:       [<c047972f>] __lock_acquire+0x9b3/0xb25
Sep 15 07:12:52 jik2 kernel:       [<c0479958>] lock_acquire+0xb7/0xeb
Sep 15 07:12:52 jik2 kernel:       [<c083ad5a>] down_read+0x45/0x93
Sep 15 07:12:52 jik2 kernel:       [<c08382cd>] slab_cpuup_callback+0x50/0x13e
Sep 15 07:12:52 jik2 kernel:       [<c083e51f>] notifier_call_chain+0x5d/0x95
Sep 15 07:12:52 jik2 kernel:       [<c046a71e>] __raw_notifier_call_chain+0x23/0x39
Sep 15 07:12:52 jik2 kernel:       [<c0837241>] _cpu_up+0x6d/0x121
Sep 15 07:12:52 jik2 kernel:       [<c083734c>] cpu_up+0x57/0x78
Sep 15 07:12:52 jik2 kernel:       [<c0a9b42a>] kernel_init+0xba/0x211
Sep 15 07:12:52 jik2 kernel:       [<c040af3f>] kernel_thread_helper+0x7/0x10
Sep 15 07:12:52 jik2 kernel:       [<ffffffff>] 0xffffffff
Sep 15 07:12:52 jik2 kernel:
Sep 15 07:12:52 jik2 kernel: -> #0 (cpu_hotplug.lock){+.+.+.}:
Sep 15 07:12:52 jik2 kernel:       [<c0479636>] __lock_acquire+0x8ba/0xb25
Sep 15 07:12:52 jik2 kernel:       [<c0479958>] lock_acquire+0xb7/0xeb
Sep 15 07:12:52 jik2 kernel:       [<c083a644>] __mutex_lock_common+0x43/0x32b
Sep 15 07:12:52 jik2 kernel:       [<c083aa1f>] mutex_lock_nested+0x41/0x5a
Sep 15 07:12:52 jik2 kernel:       [<c044e57d>] get_online_cpus+0x44/0x67
Sep 15 07:12:52 jik2 kernel:       [<c0419f01>] mtrr_del_page+0x40/0x131
Sep 15 07:12:52 jik2 kernel:       [<c041a036>] mtrr_del+0x44/0x5b
Sep 15 07:12:52 jik2 kernel:       [<f7eafbf8>] drm_rmmap_locked+0xc4/0x186 [drm]
Sep 15 07:12:52 jik2 kernel:       [<f7eb6d0e>] drm_master_destroy+0x61/0xe1 [drm]
Sep 15 07:12:52 jik2 kernel:       [<c06058df>] kref_put+0x47/0x62
Sep 15 07:12:52 jik2 kernel:       [<f7eb6c19>] drm_master_put+0x25/0x40 [drm]
Sep 15 07:12:52 jik2 kernel:       [<f7eb36e3>] drm_release+0x3f7/0x4d7 [drm]
Sep 15 07:12:52 jik2 kernel:       [<c0503f96>] __fput+0x101/0x1a9
Sep 15 07:12:52 jik2 kernel:       [<c0504065>] fput+0x27/0x3a
Sep 15 07:12:52 jik2 kernel:       [<c050074e>] filp_close+0x64/0x7f
Sep 15 07:12:52 jik2 kernel:       [<c05007e5>] sys_close+0x7c/0xc2
Sep 15 07:12:52 jik2 kernel:       [<c040a350>] syscall_call+0x7/0xb
Sep 15 07:12:52 jik2 kernel:       [<ffffffff>] 0xffffffff
Sep 15 07:12:52 jik2 kernel:
Sep 15 07:12:52 jik2 kernel: other info that might help us debug this:
Sep 15 07:12:52 jik2 kernel:
Sep 15 07:12:52 jik2 kernel: 1 lock held by Xorg/1869:
Sep 15 07:12:52 jik2 kernel: #0:  (&dev->struct_mutex){+.+.+.}, at: [<f7eb3634>] drm_release+0x348/0x4d7 [drm]
Sep 15 07:12:52 jik2 kernel:
Sep 15 07:12:52 jik2 kernel: stack backtrace:
Sep 15 07:12:52 jik2 kernel: Pid: 1869, comm: Xorg Not tainted 2.6.31-0.199.rc8.git2.fc12.i686.PAE #1
Sep 15 07:12:52 jik2 kernel: Call Trace:
Sep 15 07:12:52 jik2 kernel: [<c08391d7>] ? printk+0x22/0x3b
Sep 15 07:12:52 jik2 kernel: [<c0478a64>] print_circular_bug_tail+0x68/0x84
Sep 15 07:12:52 jik2 kernel: [<c0479636>] __lock_acquire+0x8ba/0xb25
Sep 15 07:12:52 jik2 kernel: [<c0479958>] lock_acquire+0xb7/0xeb
Sep 15 07:12:52 jik2 kernel: [<c044e57d>] ? get_online_cpus+0x44/0x67
Sep 15 07:12:52 jik2 kernel: [<c044e57d>] ? get_online_cpus+0x44/0x67
Sep 15 07:12:52 jik2 kernel: [<c083a644>] __mutex_lock_common+0x43/0x32b
Sep 15 07:12:52 jik2 kernel: [<c044e57d>] ? get_online_cpus+0x44/0x67
Sep 15 07:12:52 jik2 kernel: [<c044e57d>] ? get_online_cpus+0x44/0x67
Sep 15 07:12:52 jik2 kernel: [<c04f80ab>] ? check_valid_pointer+0x2c/0x6c
Sep 15 07:12:52 jik2 kernel: [<c0477ea9>] ? mark_lock+0x29/0x1f6
Sep 15 07:12:52 jik2 kernel: [<c083aa1f>] mutex_lock_nested+0x41/0x5a
Sep 15 07:12:52 jik2 kernel: [<c044e57d>] ? get_online_cpus+0x44/0x67
Sep 15 07:12:52 jik2 kernel: [<c044e57d>] get_online_cpus+0x44/0x67
Sep 15 07:12:52 jik2 kernel: [<c0419f01>] mtrr_del_page+0x40/0x131
Sep 15 07:12:52 jik2 kernel: [<c04783dd>] ? trace_hardirqs_on+0x19/0x2c
Sep 15 07:12:52 jik2 kernel: [<c041a036>] mtrr_del+0x44/0x5b
Sep 15 07:12:52 jik2 kernel: [<f7eafbf8>] drm_rmmap_locked+0xc4/0x186 [drm]
Sep 15 07:12:52 jik2 kernel: [<c0478391>] ? trace_hardirqs_on_caller+0x122/0x155
Sep 15 07:12:52 jik2 kernel: [<f7eb6d0e>] drm_master_destroy+0x61/0xe1 [drm]
Sep 15 07:12:52 jik2 kernel: [<f7eb6cad>] ? drm_master_destroy+0x0/0xe1 [drm]
Sep 15 07:12:52 jik2 kernel: [<c06058df>] kref_put+0x47/0x62
Sep 15 07:12:52 jik2 kernel: [<f7eb6c19>] drm_master_put+0x25/0x40 [drm]
Sep 15 07:12:52 jik2 kernel: [<f7eb36e3>] drm_release+0x3f7/0x4d7 [drm]
Sep 15 07:12:52 jik2 kernel: [<c0503f96>] __fput+0x101/0x1a9
Sep 15 07:12:52 jik2 kernel: [<c0504065>] fput+0x27/0x3a
Sep 15 07:12:52 jik2 kernel: [<c050074e>] filp_close+0x64/0x7f
Sep 15 07:12:52 jik2 kernel: [<c05007e5>] sys_close+0x7c/0xc2
Sep 15 07:12:52 jik2 kernel: [<c040a350>] syscall_call+0x7/0xb

Comment 1 Xavier Bachelot 2009-09-23 10:22:05 UTC
looks like you already reported that in https://bugzilla.redhat.com/show_bug.cgi?id=504307

Shall I close as duplicate or is it something different ?

Comment 2 Jonathan Kamens 2009-09-23 11:55:23 UTC
These are two different bugs.  Bug 504307 is about wedging the system entirely, requiring a hard reset.  The current bug, i.e., bug 523413, is about the system not wedging but the server starting up in a busted state with the mouse cursor all messed up as described above.

Comment 3 Matěj Cepl 2009-11-05 17:16:37 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 4 Jonathan Kamens 2009-11-12 23:16:00 UTC
This problem still occurs in rawhide.

Comment 5 Bug Zapper 2009-11-16 12:25:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2010-11-04 10:01:32 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2010-12-05 06:24:30 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.